问题 :在Eclipse的Java构建路径中找不到超类“ javax.servlet.http.HttpServlet”

必须包括它。

错误看起来像这样。

Java构建路径错误
Java构建路径错误

要将http-servlet包含到类路径中,您有两个选择:

1)添加目标运行时

在此解决方案中,您可以将所需的服务器运行时作为项目构面添加到您的应用程序中。由于运行时服务器已经具有servlet运行时相关性,因此它们已包含在您的项目中,因此错误消失了。

更新项目运行时

2)添加Maven依赖

另一个选择是通过maven本身包括servlet依赖关系。这也将修复错误。

<dependency>
	<groupId>javax.servlet</groupId>
	<artifactId>servlet-api</artifactId>
	<version>2.5</version>
</dependency>

 

saigon has written 1445 articles

Leave a Reply